org.codehaus.plexus.compiler.util.scan

## Class SimpleSourceInclusionScanner

- java.lang.Object
- - org.codehaus.plexus.compiler.util.scan.AbstractSourceInclusionScanner
  - - org.codehaus.plexus.compiler.util.scan.SimpleSourceInclusionScanner

- All Implemented Interfaces:
    SourceInclusionScanner

      public class SimpleSourceInclusionScanner
      extends AbstractSourceInclusionScanner

  Version:
    $Id$
  Author:
    Trygve Laugstøl

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleSourceInclusionScanner(Set<String> sourceIncludes, Set<String> sourceExcludes)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Set<File>` | `getIncludedSources(File sourceDir, File targetDir)`

    - ### Methods inherited from class org.codehaus.plexus.compiler.util.scan.AbstractSourceInclusionScanner

      `addSourceMapping, getSourceMappings, scanForSources`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleSourceInclusionScanner

          public SimpleSourceInclusionScanner(Set<String> sourceIncludes,
                                      Set<String> sourceExcludes)

  - ### Method Detail

    - #### getIncludedSources

          public Set<File> getIncludedSources(File sourceDir,
                                     File targetDir)
                                       throws InclusionScanException

      Returns:
        `Set` of `File` objects
      Throws:
        `InclusionScanException`

Copyright © 2015. All rights reserved.